package com.neko.controller;

import com.neko.domain.dto.friendDto.FriendDto;
import com.neko.domain.dto.friendDto.FriendTongDto;
import com.neko.domain.vo.RequestFriendVo;
import com.neko.mapper.FriendRequestMapper;
import com.neko.service.FriendRelationService;
import com.neko.service.FriendRequestService;
import com.neko.utils.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.net.InetAddress;

/**
 * @Date 2025/5/19 18:52
 * @Author neko
 **/
@RestController
@RequestMapping("/friend")
public class FriendController {
    @Autowired
    FriendRelationService friendRelationService;
    @Autowired
    FriendRequestService friendRequestService;

    /**
     * 添加好友
     * @param dto
     * @return
     */
    @RequestMapping("addFriend")
    public ResultVo addFriend(@RequestBody FriendDto dto)throws Exception{
        return friendRelationService.addFriend(dto);
    }

    /**
     * 处理好友请求
     * @param dto
     * @return
     * @throws Exception
     */
    @RequestMapping("handle_friend_http")
    public ResultVo handleFriendHttp(@RequestBody FriendTongDto dto) throws Exception{
        return friendRelationService.handleFriendHttp(dto);
    }

    /**
     * 查询我的好友
     * @param requestFriend
     * @return
     */
    @RequestMapping("find_friend_list")
    public ResultVo findFriendList(@RequestBody RequestFriendVo requestFriend){
        return friendRelationService.findFriendList(requestFriend);
    }

}
