package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 群组消息表
 * @TableName group_info
 */
@TableName(value ="group_info")
@Data
public class GroupInfo implements Serializable {
    /**
     * 群组id
     */
    @TableId
    private String id;

    /**
     * 群唯一标识
     */
    private String groupId;

    /**
     * 群名称
     */
    private String groupName;

    /**
     * 创建者id
     */
    private String cretorId;

    /**
     * 群头像
     */
    private String avatar;

    /**
     * 群描述
     */
    private String description;

    /**
     * 成员数量
     */
    private Integer memberCount;

    /**
     * 最大成员数量
     */
    private Integer maxMemberCount;

    /**
     * 状态（1正常 0已解散）
     */
    private Integer status;

    /**
     * 是否公开（0私有 1公开）
     */
    private Integer isPublic;

    /**
     * 加入是否需要审批（0不需要 1需要）
     */
    private Integer needApproval;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
