package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户设备表
 * @TableName user_device
 */
@TableName(value ="user_device")
@Data
public class UserDevice implements Serializable {
    /**
     *
     */
    @TableId
    private String id;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 设备唯一标识
     */
    private String deviceId;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 操作系统版本
     */
    private String osVersion;

    /**
     * 应用版本
     */
    private String appVersuib;

    /**
     * 推送令牌
     */
    private String pushToken;

    /**
     * 在线状态 0离线 1在线
     */
    private String isNoline;

    /**
     * 最后活跃时间
     */
    private Date listActiveTime;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
