package com.neko.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.neko.domain.dto.friendDto.UserPwdDto;
import com.neko.domain.dto.userDto.PhoneLoginDto;
import com.neko.domain.dto.userDto.YanDto;
import com.neko.domain.pojo.User;
import com.neko.utils.ResultVo;

import java.net.UnknownHostException;

/**
* @author 金聪
* @description 针对表【user(用户表)】的数据库操作Service
* @createDate 2025-05-18 20:59:28
*/
public interface UserService extends IService<User> {

    ResultVo phoenLogin(PhoneLoginDto phoneLoginDto) throws Exception;

    ResultVo yan(YanDto dto);

    /**
     * 根据传入的所选择的第三方登录类型，返回认证的url
     * @param loginType 第三方登录类型
     * @return
     */
    String choiceLoginType(String loginType);
    /**
     *
     * 根据用户的授权码和登录类型，获取第三方应用的 access_token
     * @param loginType 第三方登录类型
     * @param code 用户授权码
     * @return
     */
    String getOauthToken(String loginType, String code);

    /**
     * 获取授权的用户信息
     * @param loginType 第三方登录类型
     * @param accessToken 认证通过的令牌
     * @return
     */
    String getUserInfo(String loginType,String accessToken);

    ResultVo logout(String token) throws Exception;

    ResultVo myUserData(String token);

    ResultVo updapeUserPwd(UserPwdDto dto);
}
